/*******************************************************************
*******  Copyright (c)            Alexandros V. Gerbessiotis       *
******* All rights reserved; read copyag.txt file                  *
*******************************************************************/
#undef  BSPLIB
#define BSPLIB /*DEFAULT*/
#undef  MCORE
#define MCORE  /*DEFAULT:swap with undef MCORE:MultiCoreBSP vs BSPlib*/
#define MPILIB
#undef  MPILIB /*DEFAULT:swap with define MPILIB: MPI + undef BSPLIB */

/**** BSP lib related definitions */
#ifdef BSPLIB
#ifdef MCORE
#include "../include/mcbsp.h"
#else
#include "bsp.h"
#endif
#include "avgbsp.h"
#endif

/* MPI related definitions:MPI-2 MPI_Put/MPI_Get must be supported */
#ifdef   MPILIB
#include "avgmpi.h"
#endif
